#!/usr/local/bin/perl -w
#
# about.pl 
# accepts sid
#
use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

disp_start_page();

disp_top_line($sid);

disp_left_pane($sid);


print <<PRINTBLOCK2;

<p><h2>About this site</h2>

<p>This site is created for one assignment for the <a target=_blank href="http://www-scf.usc.edu/~csci571">course 571</a> 
offered by Prof. Michael Crowley in the <a target=_blank href="http://cs.usc.edu">Computer Science Department</a> of 
<a target=_blank href="http://www.usc.edu">University of Southern California</a>.

<p>The author of this website is: <a target=_blank href="http://gaurang.org">Gaurang Khetan</a>. (StudentID: 886-37-7004, 
Email: grkhetan\@yahoo.com)

<p>This website is NOT FOR REAL, please do not purchase anything from the site. 

<p>The photos and other descriptions etc of the products have been take from <a target="_blank" href="http://www.amazon.com">Amazon</a>.

<p>The documentation of this website which I submitted for the assignment <a target="_blank" href="/writeup-hw2.txt">is this</a>.
PRINTBLOCK2

disp_bot_line($sid);

exit(0);
