#!/usr/local/bin/perl -w
#
# login.pl 
# accepts sid; toconfirmorder; wronglogin
#
use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

disp_start_page();

disp_top_line($sid);

disp_left_pane($sid);

##***** start the actual page

$toconfirmorder = param("toconfirmorder");
$wronglogin = param("wronglogin");

if (get_session_user($sid))
{
    print "<p><p><h2> You are already logged in!</h2> ";
}
else
{
    if ($wronglogin && $wronglogin==1)
    {
	print "<p><span class=errmsg >Invalid Username/Password!! Try Again.</span>"
    }
    elsif ($wronglogin && $wronglogin==2)
    {
	print "<p><span class=errmsg>You are already logged on in some other session!!</span>";
	print "<p><span class=errmsg>Please logout of that session or wait for a few minutes until it expires. Then try again.</span>";
    }
    elsif ($wronglogin && $wronglogin==3)
    {
	print "<p><span class=errmsg>That username does not exist!!</span>";
    }
    elsif ($wronglogin && $wronglogin==4)
    {
	print "<p><span class=errmsg>Email containing your password has been sent to the email address in your profile.</span>";
    }

    if (!defined($toconfirmorder))
    {
    	$toconfirmorder = 0;
    }
    
    print <<PRINTBLOCK;

<form name=login action="processlogin.pl" method=post>

<input type="hidden" name=sid value=$sid>
<input type="hidden" name=toconfirmorder value=$toconfirmorder>

<br>
<p>New User? <a href="editprofile.pl?sid=$sid&toconfirmorder=$toconfirmorder">Click Here</a> to create a new Profile
<br>
<br>

<p>Enter your username and password to log in

<table class=login>

<tr> <td>Username:</td> 
<td><input type="text" name=username size=20 maxlength=25></td>

<tr> <td>Password:</td> 
<td><input type="password" name=password size=20 maxlength=25></td>

<tr><td colspan=2><center><input type="submit" value="Log In"></center></td></tr>

</table>

</form>

<br><br>

<form name=forgotpasswd action="emailpasswd.pl" method=post>

<input type="hidden" name=sid value=$sid>

If you have forgotten your password, enter your username to have your password emailed to you

<table>

<tr> <td>Username:</td> 
<td><input type="text" name=username size=20 maxlength=25></td>

<tr><td colspan=2><center><input type="submit" value="Submit"></center></td></tr>

</table>

</form>

PRINTBLOCK

}


##***** end the actual page

disp_bot_line($sid);

exit(0);
