#!/usr/local/bin/perl -w
#
# storecat.pl 
# accepts sid; catid; all form elements
#
use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

#NOTE: WE ARE NOT DISPLAYING ANY PAGE IN THIS SCRIPT
#THIS SCRIPT WILL ONLY PROCESS AND REDIRECT TO OTHER PAGES

##***** start the actual page

if (!defined(get_session_user($sid)) || get_user_type(get_session_user($sid)) != 2) 
{ #hehe! only admin people can access this page, somebody is trying spoof us!!!
    print redirect("shop.pl?sid=$sid");
    exit(0);
}

$catid = param("catid");
$catname = param ("catname");
$catdescr = param("catdescr");

$catid =~ s/\"/\'/g;$catname =~ s/\"/\'/g;$catdescr =~ s/\"/\'/g;

$dbh = DBI->connect ($glob_db_string, $glob_db_username, $glob_db_password, { PrintError => 0, RaiseError => 1} );

if (!defined($catid))
{
    khatam(3);
}

#----------start data validation
if ($catname !~ /\S+/) {
    khatam(1);
}

if ($catdescr !~ /\S+/) {
    khatam(2);
}
#----------end of data validation


#store the data into the user table

if ($catid == 0)
{
    #insert new category
    
    #find a new catid and make sure there is no product with the same id
    while(1)
    {
	$catid = get_next_id("select catid from prodcat where catid=");
	$sth = $dbh->prepare("select prodid from product where prodid=$catid;");
	$sth->execute();
	if ($sth->fetchrow_arrayref())
	{
	    $sth->finish();
	    next;
	}
	else
	{
	    $sth->finish();
	    last;
	}
    }
    
    $dbh->do("insert into prodcat (catid, catname, catdescr) VALUES ($catid, \"$catname\", \"$catdescr\");");
}
else
{
    #category already present, just update it
 
    $dbh->do("update prodcat SET catname=\"$catname\", catdescr=\"$catdescr\" where catid=$catid;");
}

$dbh->disconnect();

print redirect("adminmain.pl?sid=$sid");

exit(0);


sub khatam
{
    my $errnum = shift(@_);
    
    $dbh->disconnect();

    print redirect("editcat.pl?sid=$sid&errnum=$errnum&catid=$catid");

    exit(0);
}
