#!/usr/local/bin/perl -w
#
# shop.pl 
# accepts sid; pid
#
use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

disp_start_page();

disp_top_line($sid);

disp_left_pane($sid);


##***** start the actual page

print <<PRINTBLOCK;

<h2>Contact Us</h2>

<form action="processcontact.pl" method="post">
<input type=hidden name=sid value=$sid>

<center>Name: <input type=text name="name" size=25 maxlength=30></center><br>
<center>Email: <input type=text name="email" size=25 maxlength=30></center><br>
<center>Please enter your comments/criticisms/questions below: </center><br>
<center><textarea name=comments rows=10 cols=60></textarea></center><br>
<center><input type=submit value="Send"></center><br>

</form>


PRINTBLOCK



##***** end the actual page

disp_bot_line($sid);

exit(0);
