#!/usr/local/bin/perl -w
#
# editcat.pl 
# accepts sid; errnum, catid
#

use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

if (!defined(get_session_user($sid)) || get_user_type(get_session_user($sid)) != 2) 
{ #hehe! only admin people can access this page, somebody is trying spoof us!!!
    print redirect("shop.pl?sid=$sid");
    exit(0);
}

my_disp_start_page();  #NOTE: THIS IS DIFFERENT, SINCE WE WANT TO PUT A SCRIPT IN <HEAD>
                      #this function is at the bottom of this file  

disp_top_line($sid);

disp_left_pane($sid);


##***** start the actual page

$catid = param("catid");
$errnum = param("errnum");

if ($errnum)
{
    @arr_err_name = ("Nothing", "Name", "Description");
    
    if ($errnum >= 1 && $errnum <=2)
    {
	print "<br><span class=errmsg>The data you entered in the ".$arr_err_name[$errnum]." field had an incorrect format.</span>";
    }
    else
    {
	print "<br><span class=errmsg>There was an unpredicted error number $errnum, the profile was NOT stored. Please try again.</span>";
    }
}

$dbh = DBI->connect ($glob_db_string, $glob_db_username, $glob_db_password, { PrintError => 0, RaiseError => 1} );

if ( !defined($catid) || ($catid==0) )
{
    $catid = 0;
    print "<h2>Add New Category</h2><br>";
}
else
{
    $sth = $dbh->prepare("select catname,catdescr from prodcat where catid=$catid;"); 
    $sth->execute();
    $cat = $sth->fetchrow_arrayref();

    print "<h2>Edit Category Profile</h2><br>";
}

print <<PRINTBLOCK;

<form name=form1 onsubmit='return validate_form()' action="storecat.pl" method=post>
<input type=hidden name=sid value=$sid>
<input type=hidden name=catid value=$catid>

<p>Name: <input type=text name=catname size=45 maxlength=48 value="$cat->[0]">

<p>Description of the Category:<br> <textarea name=catdescr rows=5 cols=60>$cat->[1]</textarea>

<center><input type=submit value="Submit Information"> </center>

</form>

PRINTBLOCK

if ($catid)
{
    $sth->finish();
}

$dbh->disconnect();

##***** end the actual page

disp_bot_line($sid);

exit(0);


sub my_disp_start_page
{
    print header();
    print '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
    print "<html><head><title>Amazone: Your gateway to shopping</title>";
    print '<link rel="stylesheet" type="text/css" href="hw2.css" >';

    print <<PRINTBLOCKSCRIPT;

<script language="javascript">

function validate_form()
{    

var f = document.form1;

if (f.catname.value == "")
{
   alert("You have not filled the Name. Please refill and try again.");
   return false;
}

if (f.catdescr.value == "")
{
   alert("You have not filled the Price. Please refill and try again.");
   return false;
}

return true;
}
</script>
PRINTBLOCKSCRIPT
    
    print "</head><body>";
    print "<div class=headstyle> <h1>Amazone</h1> </div>";
    print "<br>";

}
