#!/usr/local/bin/perl -w
#
# processcontact.pl 
# accepts sid; form elements: name, email, comments
#
use CGI qw/:standard/;
use DBI;
use mylibrary;  #this contains some routines required many times

$sid = param("sid"); #this is the session id -- global variable

($return_val, $sid) = handle_session($sid);
if ($return_val == 1) 
{
    disp_message("Session has timed out");
    exit(1);
}

disp_start_page();

disp_top_line($sid);

disp_left_pane($sid);

##***** start the actual page

use Net::SMTP;

$name = param("name");
$email = param("email");
$comments = param("comments");

$name =~ s/\"/\'/g;$email =~ s/\"/\'/g;$comments =~ s/\"/\'/g;

$smtp = Net::SMTP->new('smtp.usc.edu', Hello => 'csci571.usc.edu');  
    
$smtp->mail('grkhetan@yahoo.com');
$smtp->to('grkhetan@yahoo.com');

$smtp->data();
$smtp->datasend('To: "Gaurang Khetan" <grkhetan@yahoo.com>'."\n");
$smtp->datasend('From: "Gaurang Khetan" <grkhetan@yahoo.com>'."\n");
$smtp->datasend("Subject: User Comments from Amazone\n");
$smtp->datasend("\n");
$smtp->datasend("His name \"$name\" \n");
$smtp->datasend("His email \"$email\" \n");
$smtp->datasend("$comments\n");
$smtp->dataend();

$smtp->quit();  

if ($name || $email || $comments)
{
    print "<p>Thanks for taking the time to communicate with us.";

    print "<p>Your comments have been emailed to us.";
    
    print "<p>We will try to get back to you as soon as possible.";

    $lastitem = get_session_lastitem($sid);
    
    print "<p><a href=\"shop.pl?sid=$sid&pid=$lastitem\">Click here</a> to continue shopping where you left off. ";

}
else
{
    print "<p> You have not filled any field. Please use the Back button and fill atleast one field.";

    print "<p> Thanks.";
}

disp_bot_line($sid);

exit(0);
